/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */

package zero.security.example.openid;

import java.security.Principal;
import java.util.Set;

import zero.core.security.relying.party.openid.OpenIDUserService;
import zero.core.security.userservice.FileBasedUserService;
import zero.core.security.userservice.UserService;
import zero.core.security.userservice.UserServiceException;

public class ExampleUserService extends OpenIDUserService{

    @Override
    public Set<Principal> getUser(String username) throws UserServiceException {
    	UserService userService = new FileBasedUserService();
    	Set<Principal> principals = userService.getUser(username);
    	if(principals == null || principals.isEmpty()){
    		principals =  super.getUser(username);
    	}
        return principals;
    }

    @Override
    public Set<Principal> login(String username, String passwd) throws UserServiceException {
    	// OpenIDUserService does not implement login and throws an exception
    	// only call the FileBasedUserService implementation for login.
    	UserService userService = new FileBasedUserService();
    	return userService.login(username, passwd);
    }
}
